Subject: Re: Extensions to OSPF to Support Mobile Ad Hoc Networking

From: "Henderson, Thomas R" <[email-masked]>
Date: Fri, 20 Feb 2004 12:04:26 -0800

> -----Original Message-----
> From: Madhavi Chandra [mailto:[email-masked]]
> Sent: Friday, February 20, 2004 11:44 AM
> To: [email-masked]; Henderson, Thomas R
> Cc: Madhavi Chandra
> Subject: Re: Extensions to OSPF to Support Mobile Ad Hoc Networking
>
> >- could you please explain why LLS extensions are preferable
> >to defining a new packet type (such as Incremental Hello)?
> >If there is no advantage, LLS seems a more roundabout way to do it.
> 
> Using LLS gives you the ability to add anything to an existing OSPF
> packet, rather than always declaring a new type...thus, preserving
> backwards compatability. If an OSPF router receives a Hello 
> packet with
> LLS, and doesn't support LLS, it will simply ignore it.  The 
> sender can
> then decide to build the adjacency normally, or just not 
> build an adjacency
> at all.  On the flip side, if a Hello is replaced with a new 
> Incremental
> Hello packet type that is not supported, this breaks backwards
> compatability.
> 

I didn't see explicitly mentioned in the draft that these extensions
allow adjacencies to be created between MANET and non-MANET interfaces,
with the MANET mechanisms working correctly throughout the subnet.  
Is this the case?  

Tom

---

From: Russ White <[email-masked]>
Date: Mon, 23 Feb 2004 14:36:18 -0500

> > backwards compatability. If an OSPF router receives a Hello packet with
> > LLS, and doesn't support LLS, it will simply ignore it.  The sender can
> > then decide to build the adjacency normally, or just not build an
> > adjacency at all.  On the flip side, if a Hello is replaced with a new
> > Incremental Hello packet type that is not supported, this breaks
> > backwards compatability.
>
> with the MANET mechanisms working correctly throughout the subnet.  Is
> this the case?

The idea would be that if a new neighbor doesn't send us the LLS
information, we would be able to know that (because they don't respond with
the new packet format, or don't send it at all), and we can determine, at
that point, if we should form an adjacency or not (this would be
implementation/configuration specific).

Something I could envision (this is just thinking out loud) is that we
could detect nonMANET neighbors on a given physical interface, and put
these neighbors on a seperate logical interface, so such auto-detection
would/could be useful in some situations (?).

:-)

Russ

__________________________________
[email-masked] CCIE <>< Grace Alone